<!DOCTYPE html>
<html lang="en" xmlns:th="https://www.thymeleaf.org"
                  xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
                  layout:decorator="layouts/default_layout">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.3.1/semantic.min.css">

    <style>

        h1.title{
            color:blue;
            margin-top: 10px;
            margin-bottom: 80px;
        }
        div.ui.buttons{
            margin-bottom: 10px;
        }

        .ui.button{
            margin-top: 20px;
        }

    </style>

</head>
<body>

<div class="ui container" layout:fragment="content">
    <h1 align="center" class="title" th:text="${isAdd}?  'Add new article': 'Update the new article' "></h1>
    <div class="ui buttons">
        <a th:href="@{/article}">
            <button class="ui labeled green icon button">
            <i class="left chevron icon"></i>
            <span th:text="#{button.back}"></span>
            </button>
        </a>
    </div>

    <form class="ui form" th:action="${isAdd}? '/add': '/update'" method="post" enctype="multipart/form-data">
        <div class="field disabled">
            <label th:text="#{table.header.id}">ID</label>
            <input th:field="${article.id}" th:placeholder="#{table.header.id}" type="text">
        </div>
        <div class="field">
            <label th:text="#{table.header.title}">Title</label>
            <input th:field="${article.title}" th:placeholder="#{table.header.title}" type="text"> <span style="color:red;" th:if="${#fields.hasErrors('article.title')}" th:errors="${article.title}"></span>
        </div>
        <div class="field">
            <label th:text="#{table.header.description}">Description</label>
            <input th:field="${article.description}" th:placeholder="#{table.header.description}" type="text">
        </div>
        <div class="field">
            <label th:text="#{table.header.author}">Author</label>
            <input th:field="${article.author}" th:placeholder="#{table.header.author}" type="text"> <span style="color:red;" th:if="${#fields.hasErrors('article.author')}">Title can not be Null or Empty</span>
        </div>
        <div class="field">
            <label th:text="#{table.header.created_date}">Created Date</label>
            <input th:field="${article.createdDate}" th:placeholder="#{table.header.created_date}" type="text">
        </div>
        <div class="field">
            <label th:text="#{table.header.category}">Category</label>
            <select class="ui search dropdown"  th:field="${article.category.id}">
                <option th:each="category : ${categories}" th:object="${category}" th:value="*{id}" th:text="*{categoryName}"></option>
            </select>
        </div>
        <input  name="file" type="file"><span style="color:red;" th:if="${#fields.hasErrors('article.thumbnail')}" th:errors="${article.thumbnail}"></span>
        <br/>
        <button class="ui button" type="submit" th:text="#{button.save}"></button>
    </form>
</div>

<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.3.1/semantic.min.js"></script>

</body>
</html>